Summary:	Clustered TDB
Name:		ctdb
Version:	1.2.46
Release:	%mkrel 4
License:	GPLv3
Group:		System/Cluster
URL:		http://ctdb.samba.org/
# git clone git://git.samba.org/ctdb.git ctdb
# cd ctdb
# git archive --format tar.gz %{name}-%{version} --prefix %{name}-%{version}/ -o %{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.gz
# Two patches from Fedora
Patch0:		ctdb-1.2.46-extract-some-init-functions-into-a-separate-file.patch
Patch1:		ctdb-1.2.46-add-systemd-support.patch
BuildRequires:	autoconf >= 2.50, automake >= 1.6
Requires(pre):	mktemp psmisc coreutils sed 
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	tdb-utils

%description
ctdb is the clustered database used by samba

%package	devel
Summary:	Development files for ctdb
Group:		Development/Other

%description devel
devel files for ctdb


%prep
%setup -q
%patch0 -p1 -b .init_functions
%patch1 -p1 -b .systemd


%build
CC="gcc"

## always run autogen.sh
./autogen.sh
export CFLAGS="%optflags $EXTRA -O0 -D_GNU_SOURCE -DCTDB_VERS=\"%{version}-%{release}\""
%configure2_5x

make showflags
make


%install
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall_std

install -m644 config/ctdb.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ctdb

mkdir -p %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_check_persistent_databases.pre %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_set_ctdb_variables.post %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_drop_all_public_ips %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb.systemd %{buildroot}%{_sysconfdir}/ctdb/systemd
mkdir -p %{buildroot}%{_unitdir}
install -m 755 config/ctdb.service %{buildroot}%{_unitdir}

touch %{buildroot}/%{_sysconfdir}/ctdb/nodes
perl -pi -e 's,/var/ctdb,/var/lib/ctdb,g' %{buildroot}/%{_sysconfdir}/%{name}/{systemd/*,functions,init_functions,statd-callout}
mkdir -p %{buildroot}/var/lib/ctdb


%post
%_post_service %{name}


%preun
%_preun_service %{name}


%files
%config(noreplace) %{_sysconfdir}/sysconfig/ctdb
%config(noreplace) %{_sysconfdir}/%{name}/nodes
%doc doc/*html
%{_sysconfdir}/ctdb/systemd/ctdb_check_persistent_databases.pre
%{_sysconfdir}/ctdb/systemd/ctdb_set_ctdb_variables.post
%{_sysconfdir}/ctdb/systemd/ctdb_drop_all_public_ips
%{_sysconfdir}/ctdb/systemd/ctdb.systemd
%{_unitdir}/ctdb.service
%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/events.d/
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/*.sh
%{_sysconfdir}/ctdb/init_functions
%{_sbindir}/ctdbd
%{_bindir}/ctdb
%{_bindir}/ltdbtool
%{_bindir}/smnotify
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%{_bindir}/ping_pong
%{_mandir}/man1/ctdb.1.*
%{_mandir}/man1/ltdbtool.1.*
%{_mandir}/man1/ctdbd.1.*
%{_mandir}/man1/onnode.1.*
%dir %attr(750,root,root) /var/lib/ctdb

%files devel
%{_includedir}/ctdb.h
%{_includedir}/ctdb_client.h
%{_includedir}/ctdb_protocol.h
%{_includedir}/ctdb_private.h
%{_includedir}/ctdb_typesafe_cb.h
%{_libdir}/libctdb.a
%{_libdir}/pkgconfig/ctdb.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2.46-4.mga4
+ Revision: 503645
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.46-3.mga3
+ Revision: 348387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 1.2.46-2.mga3
+ Revision: 338023
- try fix build

* Mon Aug 06 2012 sander85 <sander85> 1.2.46-1.mga3
+ Revision: 279323
- New version: 1.2.46.
- Sync spec with Fedora.
- Add systemd support from Fedora.
- Drop SysVinit support.

* Fri Jan 13 2012 buchan <buchan> 1.0.114.4-1.mga2
+ Revision: 195630
- New version 1.0.114.4 (tarball created from git, as no upstream source release)
- sync with Mandriva

* Thu Jan 13 2011 dmorgan <dmorgan> 1.0.114-2.mga1
+ Revision: 8980
- imported package ctdb


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.114-2mdv2011.0
+ Revision: 603863
- rebuild

* Thu Apr 08 2010 Buchan Milne <bgmilne@mandriva.org> 1.0.114-1mdv2010.1
+ Revision: 532897
- New version 1.0.114

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.77-3mdv2010.1
+ Revision: 522422
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.77-2mdv2010.0
+ Revision: 413280
- rebuild

* Wed Apr 15 2009 Buchan Milne <bgmilne@mandriva.org> 1.0.77-1mdv2009.1
+ Revision: 367578
- New version 1.0.77
- Fix format-not-a-string-literal
- Cleanups

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2008.1
+ Revision: 164088
- require coreutils instead of fileutils

* Thu Feb 07 2008 Erwan Velu <erwan@mandriva.org> 1.0-2mdv2008.1
+ Revision: 163608
- Adding sub package for the devel files
  Removing %%config on initscript
  Fixing Requires

* Thu Feb 07 2008 Erwan Velu <erwan@mandriva.org> 1.0-1mdv2008.1
+ Revision: 163573
- cdtb for mandriva
- import ctdb


* Wed Feb 06 2008 : Version 1.0.27
 - Add eventscript for iscsi
* Thu Jan 31 2008 : Version 1.0.26
 - Fix crashbug in tdb transaction code
* Tue Jan 29 2008 : Version 1.0.25
 - added async recovery code
 - make event scripts more portable
 - fixed ctdb dumpmemory
 - more efficient tdb allocation code
 - improved machine readable ctdb status output
 - added ctdb uptime
* Wed Jan 16 2008 : Version 1.0.24
 - added syslog support
 - documentation updates
* Wed Jan 16 2008 : Version 1.0.23
 - fixed a memory leak in the recoveryd
 - fixed a corruption bug in the new transaction code
 - fixed a case where an packet for a disconnected client could be processed
 - added http event script
 - updated documentation
* Thu Jan 10 2008 : Version 1.0.22
 - auto-run vacuum and repack ops
* Wed Jan 09 2008 : Version 1.0.21
 - added ctdb vacuum and ctdb repack code
* Sun Jan 06 2008 : Version 1.0.20
 - new transaction based recovery code
* Sat Jan 05 2008 : Version 1.0.19
 - fixed non-master bug
 - big speedup in recovery for large databases
 - lots of changes to improve tdb and ctdb for high churn databases
* Thu Dec 27 2007 : Version 1.0.18
 - fixed crash bug in monitor_handler
* Tue Dec 04 2007 : Version 1.0.17
 - fixed bugs related to ban/unban of nodes
 - fixed a race condition that could lead to monitoring being permanently disabled,
   which would lead to long recovery times
 - make deterministic IPs the default
 - fixed a bug related to continuous recovery 
 - added a debugging option --node-ip
